Bug 1249107 - [targetcli] cannot discover iSCSI target with IPv6
Summary: [targetcli] cannot discover iSCSI target with IPv6
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Andy Grover
QA Contact: Bruno Goncalves
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-31 13:48 UTC by Martin Hoyer
Modified: 2015-11-19 23:02 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-19 23:02:25 UTC


Attachments (Terms of Use)
Target config (2.94 KB, text/plain)
2015-08-19 09:01 UTC, Martin Hoyer
no flags Details
netstat output (9.80 KB, text/plain)
2015-08-19 09:02 UTC, Martin Hoyer
no flags Details
proposed patch (2.85 KB, patch)
2015-08-20 01:13 UTC, Andy Grover
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2152 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-11-20 00:56:02 UTC

Description Martin Hoyer 2015-07-31 13:48:14 UTC
Description of problem:
Cannot discover iSCSI target (LIO) on aarch64 with IPv6 

Version-Release number of selected component (if applicable):
targetcli-2.1.fb41-2.el7.noarch
iscsi-initiator-utils-6.2.0.873-30.el7.aarch64

How reproducible:
100%

Steps to Reproduce:
1.Create iSCSI target using targetcli
2.Try to discover the target
# iscsiadm -m discovery -t st -p ::1

Actual results:
iscsiadm: Cannot resolve host [::1]. getaddrinfo error: [Name or service not known]
iscsiadm: cannot resolve [::1]
iscsiadm: failed to add default portal
iscsiadm: failed to add target record
iscsiadm: No portals found

Expected results:
target discovered successfully

Comment 1 Martin Hoyer 2015-07-31 13:50:37 UTC
kernel-4.1.0-0.12.el7.aarch64

Comment 3 Bruno Goncalves 2015-08-12 13:28:35 UTC
It is not only on aarch64, I've also reproduced it on 7.2 Alpha on x86_64

# iscsiadm -m discovery -I default -p ::1 -t st
iscsiadm: Cannot resolve host [::1]. getaddrinfo error: [Name or service not known]

iscsiadm: cannot resolve [::1]
iscsiadm: failed to add default portal, ignoring target iqn.2009-10.com.redhat:storage-1
iscsiadm: failed to add target record
iscsiadm: No portals found

# uname -r
3.10.0-302.el7.x86_64

# targetcli-2.1.fb41-2.el7.noarch

Comment 4 Bruno Goncalves 2015-08-12 13:52:14 UTC
Setting it as Regression as it works well on kernel -300 and fails on -301, probably due BZ#1136558

Comment 7 Andy Grover 2015-08-18 16:01:08 UTC
Bruno or Martin, can you please attach your target config, '/etc/target/saveconfig.json'? Thanks.

Comment 8 Andy Grover 2015-08-18 16:05:01 UTC
netstat -an output would also be great.

Comment 9 Martin Hoyer 2015-08-19 09:01:50 UTC
Created attachment 1064684 [details]
Target config

Comment 10 Martin Hoyer 2015-08-19 09:02:30 UTC
Created attachment 1064685 [details]
netstat output

Comment 11 Andy Grover 2015-08-19 23:46:38 UTC
Reproduced and diagnosed. Thanks cleech! Working on a fix.

Comment 13 Andy Grover 2015-08-20 01:13:38 UTC
Created attachment 1065059 [details]
proposed patch

works for me for :: and ::1 cases.

Comment 14 Andy Grover 2015-08-20 01:24:46 UTC
posted to target-devel.

Comment 15 Rafael Aquini 2015-08-31 13:59:56 UTC
Patch(es) available on kernel-3.10.0-312.el7

Comment 18 Martin Hoyer 2015-09-02 11:16:36 UTC
Verified by running tests with kernel-3.10.0-312.el7

Comment 19 errata-xmlrpc 2015-11-19 23:02:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2152.html


Note You need to log in before you can comment on or make changes to this bug.